<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: sdio_id_table struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>sdio_id_table Struct Reference<br>
<small>
[<a class="el" href="group__fdriver.html">SDIO function driver API</a>]</small>
</h1><code>#include &lt;<a class="el" href="sdio__api_8h-source.html">sdio_api.h</a>&gt;</code>
<p>
<table border=0 cellpadding=0 cellspacing=0>
<tr><td></td></tr>
<tr><td colspan=2><br><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" nowrap align=right valign=top>uint16_t&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__id__table.html#o0">vendor_id</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>uint16_t&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__id__table.html#o1">device_id</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>int&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__id__table.html#o2">function</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>uint8_t&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__id__table.html#o3">interface</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
An entry for an SDIO device ID table.<p>
Functions are matched to drivers using any combination of vendor ID, device ID, function number or standard interface.<p>
Matching on <a class="el" href="structsdio__id__table.html#o2">function</a> == SDD_UIF_FUNC is reserved for the SDIO Userspace Interface driver. Card management drivers can match on <a class="el" href="structsdio__id__table.html#o2">function</a> == 0, these will be probed before any function drivers. 
<p>
<hr><h2>Field Documentation</h2>
<a class="anchor" name="o1" doxytag="sdio_id_table::device_id" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> uint16_t <a class="el" href="structsdio__id__table.html#o1">sdio_id_table::device_id</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Device ID to match or SDD_ANY_ID     </td>
  </tr>
</table>
<a class="anchor" name="o2" doxytag="sdio_id_table::function" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> int <a class="el" href="structsdio__id__table.html#o2">sdio_id_table::function</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Function number to match or SDD_ANY_FUNC     </td>
  </tr>
</table>
<a class="anchor" name="o3" doxytag="sdio_id_table::interface" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> uint8_t <a class="el" href="structsdio__id__table.html#o3">sdio_id_table::interface</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
SDIO standard interface to match or SDD_ANY_IFACE     </td>
  </tr>
</table>
<a class="anchor" name="o0" doxytag="sdio_id_table::vendor_id" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> uint16_t <a class="el" href="structsdio__id__table.html#o0">sdio_id_table::vendor_id</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Vendor ID to match or SDD_ANY_ID     </td>
  </tr>
</table>
<hr>The documentation for this struct was generated from the following file:<ul>
<li>/home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/include/sdioemb/<a class="el" href="sdio__api_8h-source.html">sdio_api.h</a></ul>
<hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
